Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.list
Class MakumbaDownloadServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.makumba.list.MakumbaDownloadServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class MakumbaDownloadServlet

extends HttpServlet

A Servlet to download attachments, resp. display them inline.

Version:
  $Id: MakumbaDownloadServlet.java,v 1.1 Jul 23, 2008 10:21:16 PM rudi Exp $
Author:
  Rudolf Mayer
See Also:
  Serialized Form

Constructor Summary
`MakumbaDownloadServlet()`

Method Summary
`void` | `doGet(HttpServletRequest req, HttpServletResponse response)`
`static boolean` | `isInlineContentType(String contentType)` Determines whether the given content type is of "inline" disposition type, i.e. whether it should be displayed directly by the browser.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MakumbaDownloadServlet

    public MakumbaDownloadServlet()

Method Detail

### doGet

    public void doGet(HttpServletRequest req,
                      HttpServletResponse response)
               throws ServletException,
                      IOException

  Overrides:
    `doGet` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### isInlineContentType

    public static boolean isInlineContentType(String contentType)

  Determines whether the given content type is of "inline" disposition type, i.e. whether it should be displayed directly by the browser.
  FIXME: find a library that does this better.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20